Bug 1637609 - Link in the alert for infrastructure provider leads to Containers Providers page with an error
Summary: Link in the alert for infrastructure provider leads to Containers Providers p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.5
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
: 1647525 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-09 14:53 UTC by Angelina Nikiforova
Modified: 2019-02-20 18:49 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.21
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:49 UTC

Description Angelina Nikiforova 2018-10-09 14:53:36 UTC
Description of problem:
On alerts page there's one alert triggered for infrastructure provider (VMware). After clicking the link in alert, page "Containers Providers" is opened with the error "Can't access selected records".

Version-Release number of selected component (if applicable):
5.10.0.18.20181003162715_dfcff5a

How reproducible:
always

Steps to Reproduce:
1. Add VMware infrastructure provider
2. Go to Control -> Explorer -> Alerts and create new alert based on "VM and Instance" (e.g. Hardware Reconfigured, Number of CPU Cores Increased)
3. Create alert profile with the alert above and assign it to Infrastructure Providers (VMware)
3. Go to one VM of the provider created in (1) and reconfigure it to produce an alert
4. Go to Monitor -> Alerts -> All Alerts
5. Click on the name of the infrastructure provider as set in (1)

Actual results:
Page "Containers Providers" is opened with the error "Can't access selected records"

Expected results:
Provider's page is opened

Additional info:

Comment 4 Jeff Phillips 2018-10-11 15:52:05 UTC
I haven't worked on the MIQ UI in quite some time. I'm not sure I'm the appropriate assignee for this.

Comment 6 CFME Bot 2018-10-22 15:16:26 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/efa4d7ab96a8850373bf7604be0081c8e6892408
commit efa4d7ab96a8850373bf7604be0081c8e6892408
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 11 15:31:15 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Oct 11 15:31:15 2018 -0400

    Fixed links to point to correct provider controller based upon type.

    Added a method in restful_redirect_controller that can be called from JS service to determine provider link. Moved fallback code to redirect to dashboard show with flash message out of switch.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1637609

 app/assets/javascripts/services/alerts_center_service.js | 3 +-
 app/controllers/restful_redirect_controller.rb | 13 +-
 2 files changed, 11 insertions(+), 5 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/c186097539fbd310d7d9890a38ee61a297e94339
commit c186097539fbd310d7d9890a38ee61a297e94339
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 18 16:58:01 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Oct 18 16:58:01 2018 -0400

    redirect and show flash when VM record is missing.

    Added controller spec tests

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1637609

 app/controllers/restful_redirect_controller.rb | 21 +-
 spec/controllers/restful_redirect_controller_spec.rb | 47 +
 2 files changed, 61 insertions(+), 7 deletions(-)

Comment 7 CFME Bot 2018-10-22 17:46:50 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/74bee4611f3f701727228a28df158d69e5a69cc4
commit 74bee4611f3f701727228a28df158d69e5a69cc4
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Oct 22 11:14:47 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Oct 22 11:14:47 2018 -0400

    Merge pull request #4760 from h-kataria/fixed_provider_links_on_alerts_list

    Fixed links to point to correct provider controller based upon type.

    (cherry picked from commit 5a0d67dfaa4c729ceb5defa30147767b18e6a9ea)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1637609

 app/assets/javascripts/services/alerts_center_service.js | 3 +-
 app/controllers/restful_redirect_controller.rb | 34 +-
 spec/controllers/restful_redirect_controller_spec.rb | 47 +
 3 files changed, 72 insertions(+), 12 deletions(-)

Comment 8 Angelina Nikiforova 2018-10-24 07:20:14 UTC
The same is found in 5.9.5.3.20181023135339_256263f

Comment 9 Angelina Nikiforova 2018-10-29 09:47:11 UTC
Verified in 5.10.0.21.20181023151612_4c11b0d.
Link in the alert for infrastructure provider leads to this Provider's page.

Will this be fixed for 5.9z?

Comment 11 Harpreet Kataria 2018-11-09 23:00:24 UTC
*** Bug 1647525 has been marked as a duplicate of this bug. ***

Comment 12 Sudhir Mallamprabhakara 2018-11-20 20:24:54 UTC
@Dennis, @Loic - QE(Angelina) and Customer reported this issue on 5.9.5 and 5.9.4.7.
@josh - What do you think about back porting this to 5.9.6??

Comment 13 errata-xmlrpc 2019-02-07 23:03:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.